Skip to main content
PUT
Update agent

Authorizations

Authorization
string
header
required

JWT token obtained from /api/auth/token endpoint. Token is verified using JWKS and must include a valid user identifier.

Path Parameters

projectId
string<uuid>
required
Example:

"123e4567-e89b-12d3-a456-426614174000"

agentId
string<uuid>
required
Example:

"123e4567-e89b-12d3-a456-426614174001"

Body

application/json
name
string
description
string | null
systemPrompt
string
memoryFiles
string[]
toolCategories
enum<string>[]
Available options:
memory,
agents,
ads,
analytics,
socials,
cms,
email,
calendar,
support,
serp,
gbp,
feedback,
agent_schedules,
web,
onboarding,
navigation,
interaction
mcpServers
object[] | null
maxSteps
integer
metadata
object

Response

Updated agent definition

agent
object
required